Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class TouchEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.TouchEvent

public class TouchEvent
extends TypedEvent

Instances of this class are sent as a result of a touch-based input source being touched.

Since:
  1.4
See Also:
  `TouchListener`, Serialized Form

Field Summary
`int` `stateMask` the state of the keyboard modifier keys and mouse masks at the time the event was generated.
`Touch[]` `touches` the set of touches that represent the state of all contacts with touch input device at the time the event was generated.
`int` `x` the widget-relative, x coordinate of the pointer at the time the touch occurred
`int` `y` the widget-relative, y coordinate of the pointer at the time the touch occurred

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`TouchEvent(Event e)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class org.eclipse.swt.events.TypedEvent
`allowProcessing, dispatchToObserver, executeNext, getListenerType, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### touches

    public Touch[] touches

  the set of touches that represent the state of all contacts with touch input device at the time the event was generated.

  See Also:
    `Touch`

### stateMask

    public int stateMask

  the state of the keyboard modifier keys and mouse masks at the time the event was generated.

  See Also:
    `SWT.MODIFIER_MASK`, `SWT.BUTTON_MASK`

### x

    public int x

  the widget-relative, x coordinate of the pointer at the time the touch occurred

### y

    public int y

  the widget-relative, y coordinate of the pointer at the time the touch occurred

Constructor Detail

### TouchEvent

    public TouchEvent(Event e)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.